package entity;

import control.*;

public interface Subject {
	public void notifyObservers();
	public void registerObserver(Observer toRegister);
	public void removeObserver(Observer toRemove);
		
	
	/*
	 * (non-javadoc)
	 */
	public static final Observer observer = null;
	 
}
